LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTextField Interface Referencepublished

is the base interface for all text fields. More...

`import"XTextField.idl";`

Inheritance diagram for XTextField:

## Public Member Functions
string | getPresentation ([in] boolean bShowCommand)
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the base interface for all text fields.

A text field is embedded in text and expands to a sequence of characters.

See also
  TextField

Developers Guide
  Text Documents - Text Fields

## Member Function Documentation

## ◆ getPresentation()

string getPresentation | ( | [in] boolean | bShowCommand | ) |

Returns
  the display string of the text field either as the command of the field or as the output string.

Parameters

  bShowCommand | if `TRUE` the command of the field will be returned

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextField.idl